:root{
    --lightShade: #FCFBFD;
    --lightShade-Alternate: #FAF0E6 ;
    --lightAccent: #ff8a8a;
    --lightAccent-Darker: #E06163;
    --lightAccent-Background: #FFD0DD;
    --mainBrandColor: #c7aecb;
    --mainBrandColor-Darker: #9c7f9f;
    --mainBrandColor-Background: #F2DCF5;
    --mainBrandColor-Transparent: #c7aecb83;
    --darkAccent: #543781;
    --darkAccent-Transparent: #5c4a779e;
    --darkAccent-Background:#DDC7FF;
    --darkShade: #5e104f;
    --darkShade-Transparent: #5e104e9c;

    --swiper-navigation-color: var(--mainBrandColor);
    --swiper-pagination-color: var(--lightAccent);
    --swiper-pagination-bullet-inactive-color: var(--mainBrandColor);
    --swiper-pagination-bullet-inactive-opacity: 0.7;
    --screenMaxWidth: 80rem;
    --tableColumnMax: 12rem;
    --headingFont: 'Poppins' , sans-serif;
}

html{
    scroll-behavior: smooth;
    

}

body{
    background-image: url(../img/misc/white-paper-texture-tileable.png);
    background-color: rgba(255,255,255,0.6);
    background-blend-mode: lighten;
    
}
* {
    padding: 0;
    box-sizing: border-box;
    font-family: 'Atkinson Hyperlegible' , sans-serif; 
    margin: 0;
}

section .project-section{
    display:grid;
    
}



.hp-body{
    display: flex;
    flex-direction: column;
}


.hp-body section{
    margin-left: auto;
    margin-right: auto;
    max-width: var(--screenMaxWidth);
}


/* section:nth-of-type(even){
    background-color: var(--darkAccent);
    color: var(--lightShade);
} */

/* All Text */
h1{
    font-family: var(--headingFont);
    margin-top: 0;
    margin-bottom: 0;
    font-size: 2rem;
    padding-left: 1rem;
    padding-right: 1rem;
    
}


h2{
    font-family: var(--headingFont);
    margin-top: 0;
    margin-bottom: 0;
    font-weight: 600;
    font-size: 1.5rem;
    padding-left: 1rem;
    padding-right: 1rem;
    color: var(--darkAccent);
}

h3{
    padding-left: 1rem;
    padding-right: 1rem;
}

p, ul, ol{
    max-width: 40rem;
    font-size: 1rem;
    line-height: 1.5rem;
    margin-top: 0;
    padding-left: 1rem;
    padding-right: 1rem;
    
}

p.note{
    font-size: 0.8rem;
    padding: 0rem;
    line-height: 0.8rem;
    margin: 0rem;
    color: var(--darkAccent-Transparent);
    

}

ul{
    list-style: circle var(--lightAccent);
}

a{
    color: var(--darkAccent);
    text-decoration: none;
}

a:hover, a:focus{
    color: var(--lightAccent-Darker);
    text-decoration: underline;
}

ul li a {
    color: var(--darkAccent);
    text-decoration: none;
}
ul li a:hover,ul li a:focus{
    color: var(--lightAccent-Darker);
    text-decoration: underline;
}

img {
    width: 100%;
}

.reference-ul{
    list-style: none;
}

figcaption, figcaption a{
    font-family: 'Walter Turncoat', sans-serif;
    
}
figcaption{
    padding: 0.75rem;
    border-radius: 0.5rem; 
    box-shadow: 0 0.1rem 0.5rem var(--mainBrandColor-Transparent);
    margin-top: 0.5rem;
    margin-bottom: 0.75rem;
    background-color: var(--lightShade);
    color: var(--darkShade)
}

figcaption a{
    color: var(--darkAccent);
}

figcaption a:hover, figcaption a:focus{
    color: var(--lightAccent-Darker);
}

/* Main Navigation Styling */
.main-nav{
    overflow: hidden;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    max-width: var(--screenMaxWidth);

}

.page-buttons{
    overflow: hidden;
}


.nav-button{
    font-family: 'Poppins', sans-serif;
    display:inline-block;
    font-weight: 800;
    text-transform: lowercase;
    transition-duration: 0.4s;
    text-align: center;
    color: var(--darkAccent);
    width: fit-content;
    padding: 0.5rem 1rem;
    margin: 0;
    height: 100%;
    text-decoration: none;
}

.nav-button:hover, .nav-button:focus{
    color: var(--lightAccent);
    border-inline: 0.2rem dotted;
    writing-mode: horizontal-tb;
    text-decoration: none;
    
    
    
}
.logo-container img{
    padding: 0;
    height: 20%;
    width: 20%;
    transition-duration: 0.4s;

}

.logo-container:hover img, .logo-container:focus img{
    filter:hue-rotate(95deg) brightness(3);
}

.logo-container{
    padding: 1rem;
    text-align: left;
    display: flex;
    flex-direction: row;
    align-items: center;
    max-width: 15rem;
    
    
}

.logo-container p {
    font-size: 1.5rem;
    margin-left: 0.5rem;
    font-family: 'Poppins', sans-serif;
}

.nav-button.menu-icon{
    display: none;
}

@media screen and (max-width: 40rem){
    .logo-container{
        align-self: flex-start;
    }
    .page-buttons .nav-button{
        display: none
    }

    .page-buttons .nav-button.menu-icon{
        float: right;
        display: block;
    }

    .page-buttons.responsive{
        position: relative;
        right:0;
        left:0;
    }

    .page-buttons.responsive .nav-button{
        display: block;
        float: none;
        text-align: left;
    }
}


/* section:nth-of-type(even) a{
    color: var(--lightAccent);
} */
/* Video  */
video{
    max-width:100%;
    height: auto;
}

.project-main-video{
    margin:auto;
}

.iframe-resp-wrapper{
    margin-left: auto;
    margin-right: auto;
    position: relative;
    overflow: hidden;
    padding-top: 56.25%;
    
}

.iframe-figure-control{
    margin-left: auto;
    margin-right: auto;
    max-width: 100rem;
}

.resp-iframe{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 0;

}

.project-banner{
    margin-left: 0;
    margin-right: 0;
    min-height: 50vh;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    width: 100%;
    background-color: var(--darkAccent-Transparent);
    color: var(--lightShade);
    position: relative;
    overflow: hidden;

}

.project-banner img{
    position: absolute;
    z-index: -2;
    top: 50%;
    left:50%;
    transform: translate(-50%, -50%);
    min-width: 100%;
    min-height: 100%;
    max-width: none;

}
.project-banner h1{
    text-align: center;
}

section .project-section-wrapper{
    padding:2rem;
    padding-top: 3rem;
    padding-bottom: 3rem;
    margin:auto;
    max-width: var(--screenMaxWidth);
    
}

.image-gallery{
    margin:auto;
    max-width: var(--screenMaxWidth);
    padding-top: 1.5rem;
    padding-bottom: 3rem;

}


/* Project Details */
.project-details-wrapper{
    background-color: var(--lightShade);
    border-radius: 1.2rem;
    box-shadow: 0 0.1rem 0.5rem var(--mainBrandColor-Transparent);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 1rem;
    padding: 1rem;
    margin-top: 1rem;
    margin-bottom: 1.5rem;     
}

.project-details-wrapper .project-detail-item{
    display: grid;
    grid-template-columns: 1fr 2fr;
    grid-row-gap: 0rem;
}

.project-detail-item h3.detail-header{
    font-family: 'Poppins', sans-serif;
    font-weight: 600;
    font-size: 1rem;
    height: fit-content;
    margin-bottom: 0;
    margin-top: 0; 
    color: var(--darkShade); 
    line-height: 1.1rem;
}

.project-detail-item p {
    margin-top: 0;
    margin-bottom: 0;
    font-size: 1.1rem;
    padding: 0;
}

/* Hero Styling */
section#hp-hero{
    min-height: 75vh;
}
div.hero{
    display: flex;
    flex-direction: column;
    justify-content: center;
    
}

.hero img.avatar-animation{
    filter: brightness(140%);
}

h1.website-title{
    font-size: 1.5rem;
    max-height: fit-content;
    align-self: center;
    font-weight: 300;

}

h1.website-title em{
    font-weight: 700;
    font-family: 'Poppins', sans-serif;
    color: var(--darkAccent);
}
h1.website-title em:nth-of-type(even){
    color:var(--lightAccent-Darker)
}

#hp-hero img.avatar-animation{
}


@media (min-Width:42rem) {
    div.hero{
        display: flex;
        flex-direction: row;
        
    }
    h1.website-title{
        font-size: 2.5rem; 
    }

   
    

    
}

@media (min-Width:55rem){
    h1{
        font-size: 3rem;
    }
    h2 {
        font-size: 1.75rem;
    }
    .project-details-wrapper{
        flex-direction: row;
        justify-content: space-between;
        gap: 1rem;
        padding: 1.5rem
          
    }
    
    .project-details-wrapper .project-detail-item{
        display: grid;
        grid-template-rows: 2fr 3fr;
        grid-template-columns: auto;
        
    }
    
    .project-detail-item h3.detail-header{
        font-size: 1.1;
        line-height: 1.2rem;
        margin: 0;
        padding: 0;
    }
     .grid{
    display:grid;
    }

    .gutter{
        column-gap: 1rem;
        row-gap: 1rem;

    }

    
}


/* footer styling */
section#contact{
    border-top: dotted var(--mainBrandColor);
}
section#contact ul{
    list-style: none;
    
}

section#contact div#contact-info ul li:nth-of-type(odd){
    font-weight: 600;
    font-size: 1.2rem;
}


section#contact div ul li a {
    text-decoration: none;
    color: var(--darkAccent);
}

section#contact div ul li a:hover, section#contact div ul li a:focus{
    text-decoration: underline;
    color: var(--lightAccent-Darker);
}